Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ProducerTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ProducerTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ProducerType<T>

    public class ProducerTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ProducerType<T>

This class implements the `producerType` xsd type

Original Documentation:

The producer element holds all of the information specific about a
producer interface for a consumer bean Used in: consumer

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ProducerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ProducerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getConnectionFactory()` Returns the `connection-factory` element
`ProducerType<T>` | `removeClazz()` Removes the `class` element
`ProducerType<T>` | `removeConnectionFactory()` Removes the `connection-factory` element
`ProducerType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`ProducerType<T>` | `setConnectionFactory(java.lang.String connectionFactory)` If not already created, a new `connection-factory` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerTypeImpl

    public ProducerTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### ProducerTypeImpl

    public ProducerTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setClazz

    public ProducerType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Specified by:
    `setClazz` in interface `ProducerType<T>`
  Returns:
    the current instance of `ProducerType`

### removeClazz

    public ProducerType<T> removeClazz()

  Removes the `class` element

  Specified by:
    `removeClazz` in interface `ProducerType<T>`
  Returns:
    the current instance of `ProducerType`

### getClazz

    public java.lang.String getClazz()

  Returns the `class` element

  Specified by:
    `getClazz` in interface `ProducerType<T>`
  Returns:
    the node defined for the element `class`

### setConnectionFactory

    public ProducerType<T> setConnectionFactory(java.lang.String connectionFactory)

  If not already created, a new `connection-factory` element with the given value will be created. Otherwise, the existing `connection-factory` element will be updated with the given value.

  Specified by:
    `setConnectionFactory` in interface `ProducerType<T>`
  Returns:
    the current instance of `ProducerType`

### removeConnectionFactory

    public ProducerType<T> removeConnectionFactory()

  Removes the `connection-factory` element

  Specified by:
    `removeConnectionFactory` in interface `ProducerType<T>`
  Returns:
    the current instance of `ProducerType`

### getConnectionFactory

    public java.lang.String getConnectionFactory()

  Returns the `connection-factory` element

  Specified by:
    `getConnectionFactory` in interface `ProducerType<T>`
  Returns:
    the node defined for the element `connection-factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD